.card {
  margin-bottom: 10px;
  border: 1px solid #e6e9eb !important;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
  letter-spacing: 0.5px;
  border-radius: 8px;
  -webkit-box-shadow: 0px 9px 20px rgba(46, 35, 94, 0.07);
  box-shadow: 0px 9px 20px rgba(46, 35, 94, 0.07);
}
.card:hover {
  -webkit-box-shadow: 0 0 40px rgba(8, 21, 66, 0.05);
  box-shadow: 0 0 40px rgba(8, 21, 66, 0.05);
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.card .card-header {
  display: block;
  background-color: #fff;
  padding: 10px;
  border-bottom: 1px solid #ecf3fa;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  position: relative;
  min-height: auto;
}
.card .card-header h4 {
  font-size: 20px;
  font-weight: 600;
  margin: 0;
}
.card .card-header.card-no-border {
  border-bottom: none !important;
}
.card .card-header h5:not(.mb-0),
.card .card-header h5:not(.m-0) {
  margin-bottom: 0;
  text-transform: capitalize;
}
.card .card-header > span {
  font-size: 12px;
  color: var(--body-font-color);
  margin-top: 5px;
  display: block;
  letter-spacing: 1px;
}
.card .card-header .card-header-right {
  border-radius: 0 0 0 7px;
  right: 20px;
  top: 12px;
  display: inline-block;
  float: right;
  padding: 8px 0;
  position: absolute;
  background-color: #fff;
  z-index: 1;
}
.card .card-header .card-header-right .card-option {
  text-align: right;
  width: 35px;
  height: 20px;
  overflow: hidden;
  -webkit-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}
.card .card-header .card-header-right .card-option li {
  display: inline-block;
}
.card .card-header .card-header-right .card-option li:first-child i {
  -webkit-transition: 1s;
  transition: 1s;
  font-size: 16px;
  color: var(--theme-deafult);
}
.card .card-header .card-header-right .card-option li:first-child i.icofont {
  color: unset;
}
.card .card-header .card-header-right i {
  margin: 0 5px;
  cursor: pointer;
  color: #2c323f;
  line-height: 20px;
}
.card .card-header .card-header-right i.icofont-refresh {
  font-size: 13px;
}
.card .card-body {
  padding: 10px;
  background-color: transparent;
}
.card .card-body p:last-child {
  margin-bottom: 0;
}
.card .sub-title {
  padding-bottom: 12px;
  font-size: calc(15px + 3 * (100vw - 320px) / 1600);
}
.card .card-footer {
  background-color: #fff;
  border-top: 1px solid #ecf3fa;
  padding: 20px;
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
}
.card.card-load .card-loader {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 8;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.card.card-load .card-loader i {
  margin: 0 auto;
  color: var(--theme-deafult);
  font-size: 20px;
}
.card.full-card {
  position: fixed;
  top: 0;
  z-index: 99999;
  -webkit-box-shadow: none;
  box-shadow: none;
  right: 0;
  border-radius: 0;
  border: 1px solid #efefef;
  width: calc(100vw - 12px);
  height: 100vh;
}
.card.full-card .card-body {
  overflow: auto;
}

.page-body-wrapper .card .sub-title {
  font-family: "Montserrat", sans-serif;
  font-weight: normal;
  color: #051a1a;
}

.card-absolute {
  margin-top: 20px;
}
.card-absolute .card-header {
  position: absolute;
  top: -20px;
  left: 15px;
  border-radius: 0.25rem;
  padding: 10px 15px;
}
.card-absolute .card-header h5 {
  font-size: 17px;
}
.card-absolute .card-body {
  margin-top: 10px;
}

.card-header .border-tab {
  margin-bottom: -13px;
}

.custom-card {
  overflow: hidden;
  padding: 30px;
}
.custom-card .card-header {
  padding: 0;
}
.custom-card .card-header img {
  border-radius: 50%;
  margin-top: -100px;
  -webkit-transform: scale(1.5);
  transform: scale(1.5);
}
.custom-card .card-profile {
  text-align: center;
}
.custom-card .card-profile img {
  height: 110px;
  padding: 7px;
  background-color: #fff;
  z-index: 1;
  position: relative;
}
.custom-card .card-social {
  text-align: center;
}
.custom-card .card-social li {
  display: inline-block;
  padding: 15px 0;
}
.custom-card .card-social li:last-child a {
  margin-right: 0;
}
.custom-card .card-social li a {
  padding: 0;
  margin-right: 15px;
  color: rgb(188, 198, 222);
  font-size: 16px;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.custom-card .card-social li a:hover {
  color: var(--theme-deafult);
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.custom-card .profile-details h6 {
  margin-bottom: 30px;
  margin-top: 10px;
  color: #ffffff;
  font-size: 14px;
}
.custom-card .card-footer {
  padding: 0;
}
.custom-card .card-footer > div {
  padding: 15px;
  text-align: center;
}
.custom-card .card-footer > div + div {
  border-left: 1px solid #efefef;
}
.custom-card .card-footer > div h3 {
  margin-bottom: 0;
  font-size: 24px;
}
.custom-card .card-footer > div h6 {
  font-size: 14px;
  color: #ffffff;
}
.custom-card .card-footer > div h5 {
  font-size: 16px;
  margin-bottom: 0;
}
.custom-card .card-footer > div i {
  font-size: 24px;
  display: inline-block;
  margin-bottom: 15px;
}
.custom-card .card-footer > div .m-b-card {
  margin-bottom: 10px;
}

.social-profile {
  text-align: center;
  background-image: url(../images/dashboard-3/profile-bg.png);
  background-repeat: no-repeat;
  background-size: cover;
}
.social-profile .card-body {
  padding-left: 20px;
  padding-right: 20px;
}
@media (max-width: 1399px) {
  .social-profile .card-body {
    padding: 23px 15px;
  }
}
.social-details {
  margin-top: 15px;
}
.social-details h5 a {
  color: var(--body-font-color);
  font-weight: 700;
}
.social-details .social-follow {
  -webkit-column-count: 3;
  -moz-column-count: 3;
  column-count: 3;
  -webkit-column-gap: 30px;
  -moz-column-gap: 30px;
  column-gap: 30px;
  margin-top: 25px;
}
@media (max-width: 1399px) {
  .social-details .social-follow {
    -webkit-column-gap: 23px;
    -moz-column-gap: 23px;
    column-gap: 23px;
  }
}
.social-details .social-follow li {
  position: relative;
}
.social-details .social-follow li + li::before {
  position: absolute;
  content: "";
  width: 1px;
  height: 14px;
  background-color: var(--recent-dashed-border);
  left: -15px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}
[dir="rtl"] .social-details .social-follow li + li::before {
  left: unset;
  right: -15px;
}
.social-details .card-social {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  gap: 10px;
  margin-top: 15px;
}
.social-img-wrap {
  background: linear-gradient(
    253deg,
    var(--theme-deafult) 11.51%,
    rgba(115, 102, 255, 0) 82.07%
  );
  display: inline-block;
  border-radius: 100%;
  padding: 2px;
  position: relative;
}
.social-img-wrap .edit-icon {
  position: absolute;
  right: 0;
  bottom: 0;
}
.social-img-wrap .edit-icon svg {
  width: 20px;
  height: 20px;
  border-radius: 100%;
  border: 2px solid var(--white);
  background: var(--white);
}
.social-img {
  padding: 5px;
  background: var(--white);
  border-radius: 100%;
}
.social-img img {
  height: 68px;
  border-radius: 100%;
}

/**=====================
    2.10 Card CSS End
==========================**/
/**=====================
     2.11 Color CSS Start
==========================**/
.color-box {
  margin-bottom: -10px;
}
.color-box button {
  margin-bottom: 10px;
}
.color-box button + button {
  margin-left: 5px;
}

.light-font {
  color: #ffffff;
}
.btn {
  padding: 5px 10px;
  border-radius: 5px;
}

/**=====================
    2.12 Datatable CSS Start
==========================**/
div.dt-button-background {
  display: none !important;
}
div.DTS div.dataTables_scrollBody table {
  z-index: 1;
}
div .table-avtar {
  height: 32px;
  margin-right: 10px;
}
[dir="rtl"] div .table-avtar {
  margin-right: unset;
  margin-left: 10px;
}
div .action {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
div .action i {
  font-size: 16px;
}
div .action .pdf i {
  font-size: 20px;
  color: #fe6a49;
}
div .action .edit {
  margin-right: 5px;
}
div .action .edit i {
  color: #00ac46;
}
[dir="rtl"] div .action .edit {
  margin-left: 5px;
}
div .action .delete i {
  color: #fe6a49;
}

#auto-generate-content_wrapper.dataTables_wrapper button {
  background-color: var(--white);
  border: 1px solid var(--theme-deafult);
  color: var(--theme-deafult);
}

.dataTables_wrapper {
  width: calc(100% - 1px);
  padding: 0;
}
.dataTables_wrapper.no-footer .dataTables_scrollBody {
  border-bottom: 1px solid #ecf3fa;
}
.dataTables_wrapper .dt-buttons .btn {
  border-radius: 0.25rem !important;
}
.dataTables_wrapper .btn-group button {
  margin-right: 5px;
}
.dataTables_wrapper button {
  font-weight: 400;
  padding: 0.375rem 0.75rem;
  font-size: 14px;
  border-radius: 0.25rem;
  color: #fff;
}
.dataTables_wrapper + .dataTables_wrapper {
  margin-top: 20px;
}
.dataTables_wrapper .dataTables_paginate {
  margin-left: 15px !important;
  border: 1px solid #e6e9eb;
  border-radius: 0.25rem;
  padding-top: 0;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
  margin: 0;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.current,
.dataTables_wrapper .dataTables_paginate .paginate_button:active {
  background: var(--theme-deafult);
  color: #fff !important;
  -webkit-box-shadow: none;
  box-shadow: none;
}
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  border: 1px solid var(--theme-deafult);
  color: #2c323f !important;
  background: transparent !important;
}
.dataTables_wrapper .dataTables_length {
  margin-bottom: 30px;
}
.dataTables_wrapper .dataTables_length select {
  border-color: #e6e9eb;
  color: #2c323f;
  padding: 0 10px;
  margin: 0 10px;
  height: 2.7142em;
  background-color: #fff;
}
.dataTables_wrapper table.dataTable {
  border: 1px solid #efefef;
}
.dataTables_wrapper table.dataTable tbody td.select-checkbox,
.dataTables_wrapper table.dataTable tbody th.select-checkbox {
  padding-right: 40px !important;
}
.dataTables_wrapper table.dataTable tbody td.select-checkbox:before,
.dataTables_wrapper table.dataTable tbody th.select-checkbox:before {
  right: 20px;
  top: 22px;
  left: unset;
}
.dataTables_wrapper table.dataTable tbody td.select-checkbox:after,
.dataTables_wrapper table.dataTable tbody th.select-checkbox:after {
  margin-top: -5px;
  margin-left: 21px;
}
.dataTables_wrapper table.dataTable thead th,
.dataTables_wrapper table.dataTable thead td {
  border-bottom: 2px solid #efefef;
}
.dataTables_wrapper table.dataTable th {
  padding: 0.75rem;
  vertical-align: middle;
}
.dataTables_wrapper table.dataTable td {
  padding: 0.15rem;
  vertical-align: middle;
}
.dataTables_wrapper .dataTables_filter {
  margin-bottom: 25px;
  margin-left: 15px;
}
.dataTables_wrapper .dataTables_filter input[type="search"] {
  border: 1px solid #efefef;
  padding: 0 10px;
  margin-left: 10px;
  height: 37px;
  border-radius: 0;
}

.dataTables_scrollHeadInner {
  width: 100% !important;
}

table .fixedHeader-floating {
  position: fixed !important;
  background-color: #fff;
}
table .box > div {
  padding: 5px 15px;
  background-color: var(--theme-deafult);
  display: inline-block;
  color: #fff;
  border-radius: 5px;
  margin-bottom: 15px;
  margin-right: 15px;
}
table.dataTable.fixedHeader-locked,
table.dataTable.fixedHeader-floating {
  width: calc(100vw - 250px) !important;
  max-width: calc(100vw - 250px) !important;
  overflow: hidden !important;
  right: 0 !important;
  z-index: 99;
  left: 260px !important;
}
table.dataTable:not(.fixedHeader-locked):not(.fixedHeader-floating) {
  width: 100% !important;
}
table.dataTable {
  border-collapse: collapse !important;
  margin-top: 0 !important;
}
table.dataTable thead .sorting:before,
table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:before,
table.dataTable thead .sorting_desc_disabled:after {
  bottom: 12px !important;
}
table.dataTable input,
table.dataTable select {
  border: 1px solid #efefef;
  height: 20px;
  width: 20px;
}

.user-datatable tr td:first-child,
.user-datatable tr th:first-child {
  min-width: 150px;
}

.jsgrid .jsgrid-button {
  width: 20px;
  height: 20px;
}
.jsgrid .jsgrid-delete-button {
  background-position: 0 -78px;
  width: 22px;
  height: 22px;
}
.jsgrid .jsgrid-edit-button {
  background-position: -2px -122px;
  width: 22px;
  height: 22px;
}
.jsgrid .jsgrid-insert-mode-button {
  background-position: -2px -160px;
  width: 25px;
  height: 25px;
}
.jsgrid .jsgrid-insert-button {
  background-position: -3px -202px;
  width: 16px;
  height: 16px;
}

.toolbar {
  padding: 5px 15px;
  background-color: var(--theme-deafult);
  display: inline-block;
  color: #fff;
  border-radius: 5px;
  margin-bottom: 15px;
  margin-right: 15px;
}

code.option {
  color: #fe6a49 !important;
}
code.api {
  color: #00ac46 !important;
}

.dt-ext .dataTables_wrapper .page-item.active .page-link {
  background-color: var(--theme-deafult) !important;
  border-color: var(--theme-deafult) !important;
  color: #fff;
}
.dt-ext .dataTables_wrapper .dataTables_paginate .paginate_button {
  padding: 9px 12px;
  border: 1px solid #e6e9eb !important;
  border-radius: 0px;
}
.dt-ext .dataTables_wrapper .dataTables_paginate .paginate_button.disabled,
.dt-ext .dataTables_wrapper .dataTables_paginate .paginate_button.hover,
.dt-ext .dataTables_wrapper .dataTables_paginate .paginate_button.active {
  border: none !important;
}
.dt-ext .dataTables_wrapper .dataTables_paginate .page-link {
  margin-left: 0px;
  color: var(--theme-deafult);
}
.dt-ext .dataTables_wrapper button.dt-button,
.dt-ext .dataTables_wrapper div.dt-button,
.dt-ext .dataTables_wrapper a.dt-button,
.dt-ext .dataTables_wrapper button.dt-button:focus:not(.disabled),
.dt-ext .dataTables_wrapper div.dt-button:focus:not(.disabled),
.dt-ext .dataTables_wrapper a.dt-button:focus:not(.disabled),
.dt-ext .dataTables_wrapper button.dt-button:active:not(.disabled),
.dt-ext .dataTables_wrapper button.dt-button.active:not(.disabled),
.dt-ext .dataTables_wrapper div.dt-button:active:not(.disabled),
.dt-ext .dataTables_wrapper div.dt-button.active:not(.disabled),
.dt-ext .dataTables_wrapper a.dt-button:active:not(.disabled),
.dt-ext .dataTables_wrapper a.dt-button.active:not(.disabled) {
  background-color: var(--theme-deafult);
  border-color: var(--theme-deafult);
  border-radius: 2px;
  color: #fff;
  background-image: none;
  font-size: 14px;
}
.dt-ext .dataTables_wrapper button.dt-button.btn-success,
.dt-ext .dataTables_wrapper div.dt-button.btn-success,
.dt-ext .dataTables_wrapper a.dt-button.btn-success {
  background-color: #00ac46;
  border-color: #00ac46;
}
.dt-ext .dataTables_wrapper button.dt-button.btn-primary,
.dt-ext .dataTables_wrapper div.dt-button.btn-primary,
.dt-ext .dataTables_wrapper a.dt-button.btn-primary {
  background-color: var(--theme-deafult);
  border-color: var(--theme-deafult);
}
.dt-ext .dataTables_wrapper button.dt-button.btn-danger,
.dt-ext .dataTables_wrapper div.dt-button.btn-danger,
.dt-ext .dataTables_wrapper a.dt-button.btn-danger {
  background-color: #fe6a49;
  border-color: #fe6a49;
}
.dt-ext .dataTables_wrapper table.dataTable th.focus,
.dt-ext .dataTables_wrapper table.dataTable td.focus {
  outline: 3px solid var(--theme-deafult);
}
.dt-ext
  .dataTables_wrapper
  table.dataTable.display
  tbody
  > tr.odd.selected
  > .sorting_1,
.dt-ext
  .dataTables_wrapper
  table.dataTable.order-column.stripe
  tbody
  > tr.odd.selected
  > .sorting_1 {
  background-color: #29ffff;
}
.dt-ext .dataTables_wrapper table.dataTable.stripe tbody > tr.odd.selected,
.dt-ext .dataTables_wrapper table.dataTable.stripe tbody > tr.odd > .selected,
.dt-ext .dataTables_wrapper table.dataTable.display tbody > tr.odd.selected,
.dt-ext .dataTables_wrapper table.dataTable.display tbody > tr.odd > .selected {
  background-color: #29ffff;
}
.dt-ext
  .dataTables_wrapper
  table.dataTable.display
  tbody
  > tr.even.selected
  > .sorting_1,
.dt-ext
  .dataTables_wrapper
  table.dataTable.order-column.stripe
  tbody
  > tr.even.selected
  > .sorting_1 {
  background-color: #29ffff;
}
.dt-ext .dataTables_wrapper table.dataTable tbody > tr.selected,
.dt-ext .dataTables_wrapper table.dataTable tbody > tr > .selected {
  background-color: #29ffff;
}

td.highlight {
  background-color: #e6e9eb !important;
}

td.details-control {
  background: url("../images/details_open.png") no-repeat center center;
  cursor: pointer;
}

tr.shown td.details-control {
  background: url("../images/details_close.png") no-repeat center center;
}

.dataTables_scroll ~ .dataTables_paginate {
  margin-top: 20px !important;
}

.product-table th:last-child {
  min-width: 120px;
}
.product-table h6 {
  font-weight: 600;
  color: #2c323f;
}

table.dataTable.display tbody tr.odd > .sorting_1 {
  background-color: #fdfeff;
}
table.dataTable.display tbody tr.odd .badge {
  line-height: 15px;
}
table.dataTable.display tbody tr.even .badge {
  line-height: 15px;
}

.jsgrid-row .jsgrid-cell .badge,
.jsgrid-alt-row .jsgrid-cell .badge {
  line-height: 15px !important;
}

/**=====================
     2.12 Datatable CSS Ends
==========================**/
/**=====================
    2.13 Datapicker CSS Start
==========================**/
.clockpicker-canvas line {
  stroke: var(--theme-deafult);
}

.clockpicker-canvas-fg,
.clockpicker-canvas-bearing {
  fill: var(--theme-deafult);
}

.datepicker {
  z-index: 99;
}

.datepicker--day-name {
  color: #006666;
  font-weight: bold;
}

.datepicker--cell.-current- {
  color: #000;
  border-radius: 5px;
  font-weight: bold;
  border: 2px solid var(--theme-deafult);
}
.datepicker--cell.-focus- {
  background: var(--theme-deafult);
  color: #fff;
}
.datepicker--cell.-selected- {
  background: var(--theme-deafult) !important;
}
.datepicker--cell-day {
  width: 14.2857142857%;
}

.datepickers-container,
.bootstrap-datetimepicker-widget {
  z-index: 7;
}

.datetime-picker .bootstrap-datetimepicker-widget.dropdown-menu {
  width: auto;
}
.datetime-picker .input-group-text i {
  line-height: 1.3;
}

.clockpicker-popover {
  border: none;
  -webkit-box-shadow: 0px 9px 20px rgba(46, 35, 94, 0.07);
  box-shadow: 0px 9px 20px rgba(46, 35, 94, 0.07);
  z-index: 7;
}
.clockpicker-popover .popover-content {
  background-color: rgba(0, 102, 102, 0.05);
}

.clockpicker-canvas-bg {
  fill: #29ffff;
}

.clockpicker-tick:hover {
  color: inherit;
  background-color: #29ffff;
}

.calendar-basic .md-sidebar-aside {
  background-color: #fff;
}
.calendar-basic #external-events {
  padding: 20px;
  border: 1px solid #d7e2e9;
}
.calendar-basic #external-events h4 {
  margin-bottom: 14px;
}
.calendar-basic #external-events p {
  margin-top: 12px;
}
.calendar-basic #external-events .fc-h-event {
  padding: 12px;
  background-color: var(--theme-deafult);
  border: 1px solid var(--theme-deafult);
}
.calendar-basic #external-events .fc-h-event + .fc-h-event {
  margin-top: 10px;
}
.calendar-basic #external-events .fc-h-event .fc-event-main {
  font-size: 13px;
}
.calendar-basic .calendar-default .fc-daygrid-dot-event .fc-event-title {
  text-overflow: ellipsis;
}
.calendar-basic .calendar-default .fc td[role="presentation"] {
  border: 0;
}
.calendar-basic .calendar-default .fc .fc-daygrid-day-number,
.calendar-basic .calendar-default .fc .fc-col-header-cell-cushion {
  color: #051a1a;
}
.calendar-basic .calendar-default .fc .fc-button .fc-icon {
  height: 23px;
}
.calendar-basic .calendar-default .fc-h-event {
  padding: 2px;
  background-color: #006666;
  border: 1px solid #006666;
}
.calendar-basic
  .calendar-default
  .fc-toolbar-chunk
  .fc-button-group
  ~ .fc-today-button {
  margin: 0 8px;
}

.fc-event-dragging {
  padding: 10px;
  background-color: var(--theme-deafult);
}

.fc .fc-toolbar {
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  gap: 10px;
}
.fc .fc-button-primary:focus {
  -webkit-box-shadow: 0 0 0 0.2rem rgba(0, 102, 102, 0.5);
  box-shadow: 0 0 0 0.2rem rgba(0, 102, 102, 0.5);
}

.main-inline-calender.input-group {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
}
.main-inline-calender.input-group .form-control {
  width: 100%;
}
.main-inline-calender.input-group .flatpickr-calendar.inline {
  width: 100%;
}
.main-inline-calender.input-group .flatpickr-innerContainer {
  display: block;
}
.main-inline-calender.input-group .flatpickr-rContainer {
  display: block;
}
.main-inline-calender.input-group .flatpickr-rContainer .flatpickr-weekdays {
  width: 100%;
}
.main-inline-calender.input-group .flatpickr-rContainer .flatpickr-days {
  width: 100%;
}
.main-inline-calender.input-group
  .flatpickr-rContainer
  .flatpickr-days
  .dayContainer {
  width: 100%;
  max-width: none;
  min-width: unset;
}
.main-inline-calender.input-group
  .flatpickr-rContainer
  .flatpickr-days
  .dayContainer
  .flatpickr-day {
  border-radius: 5px;
  width: 100%;
  max-width: unset;
}
.main-inline-calender.input-group
  .flatpickr-rContainer
  .flatpickr-days
  .dayContainer
  .flatpickr-day:hover {
  color: var(--body-font-color);
}

.flatpickr-day.selected,
.flatpickr-day .endRange {
  background-color: var(--theme-deafult);
  border-color: var(--theme-deafult);
}
.flatpickr-day.selected:hover,
.flatpickr-day .endRange:hover {
  background-color: var(--theme-deafult);
  border-color: var(--theme-deafult);
}

.main-flatpickr .form-control:-moz-read-only {
  background-color: unset;
}

.main-flatpickr .form-control:read-only {
  background-color: unset;
}

.flatpickr-months {
  font-size: calc(12px + 2 * (100vw - 320px) / 1600);
  margin-bottom: 30px;
}
.flatpickr-months .flatpickr-month {
  margin-top: 16px;
}
.flatpickr-months .flatpickr-prev-month,
.flatpickr-months .flatpickr-next-month {
  top: 10px;
}

.flatpickr-current-month {
  font-size: calc(14px + 5 * (100vw - 320px) / 1600);
}

@media (max-width: 400px) {
  .flatpickr-calendar.animate {
    width: 77%;
    left: 50% !important;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
  }
}
.flatpickr-calendar .flatpickr-days {
  width: unset;
}
.flatpickr-calendar .flatpickr-days .dayContainer {
  width: unset;
  min-width: unset;
  max-width: unset;
}

@media (max-width: 768px) {
  .flatpicker-calender .form-control {
    font-size: 14px;
  }
}

.input-group
  > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(
    .valid-feedback
  ):not(.invalid-tooltip):not(.invalid-feedback) {
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
}

.timepicker-wrapper .row {
  margin-bottom: 16px;
}
.timepicker-wrapper .row:last-child {
  margin-bottom: 0;
}
.dataTables_wrapper button {
  background: var(--bs-success);
}
.dataTables_wrapper table.dataTable th {
  font-weight: bold;
}

.table:not(.table-bordered) tr:first-child,
.table:not(.table-bordered) th:first-child,
.table:not(.table-bordered) td:first-child {
  padding-left: 10px;
}
.btn {
  padding: 5px 10px !important;
}

.row {
  margin: 0 !important;
  --bs-gutter-x: 0.5rem;
}

.allow_select tr.selected .form-control,
.allow_select tr.selected td a,
.allow_select tr.selected td,
.allow_select tr.selected,
.allow_multi_select tr.selected .form-control,
.allow_multi_select tr.selected td a,
.allow_multi_select tr.selected td,
.allow_multi_select tr.selected {
  background-color: #0d0e12 !important;
  color: #fff !important;
}

h6,
.h6,
h5,
.h5,
h4,
.h4,
h3,
.h3,
h2,
.h2,
h1,
.h1 {
  margin-top: 0;
  margin-bottom: 0;
}

ul li {
  list-style: none;
}
.col-form-label {
  padding-top: calc(0.275rem + 1px);
  padding-bottom: calc(0.275rem + 1px);
}
.columns-2 {
  column-count: 2 !important;
}

tr {
  vertical-align: middle !important;
}
